OL(1)

NAME
ol - an Otus Lisp, functional dialect of Lisp

SYNOPSIS
ol [OPTION...] [FILE [FILE-ARGS]]

DESCRIPTION
Otus Lisp (Ol in short) is a purely functional dialect of Lisp. Ol implements an extended subset of the R7RS Scheme, including but not limited to some SRFIs. It is tiny (< 64KB), embeddable and cross-platform. Provides a portable, high-level interface to call code written in another language. A FILE of "-" denotes standard input. If FILE is not specified, standard input is used. If FILE is a text script, then FILE-ARGS is passed to FILE as the result of the standard "command-line" function call. If FILE is a binary (compiled) script, then FILE-ARGS is passed as a list to the last FILE lambda expression.

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of essential command line flats options is included below.

--help
    This help.

-v  Show short program version info.

--version
    Show full program version info.

--version=...
    Override internal version string.

--home=<path(s)>
    Run in a venv. Separate folders with `;' or `:'.

--sandbox
    Run in an sandboxed environment (if supported!).

--interactive
    Make execution environment interactive.

--non-interactive
    Make execution environment non-interactive.

-c, --compile
    Compile execution result to stdout.

-o=<filename>
    Put the output into file <filename>

--entry
    Convert last lambda to entry point

--  End of options. Next argument will be treated as FILE even if its name looks like an option ("--version", for example).

ENVIRONMENT

OL_HOME
    Library searching path.

AUTHOR
Yuriy Chumak

COPYRIGHT
(c) 2011-2014 Aki Helin, (c) 2014-2026 Yuriy Chumak